Cue Docs
Template Management API

Delete Template

Delete a WhatsApp message template by UUID.

Guide: Template Management API
DELETE
/v1/templates/{template_uuid}

Delete a WhatsApp message template by UUID.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Path Parameters

template_uuid*Template Uuid
Formatuuid

Header Parameters

Authorization?|

An API token from Settings > API Tokens, as Bearer <token>.

Response Body

Successful Response

application/json
  1. response
uuid*Uuid
Formatuuid
status*TemplateStatus
Value in"PREPARING""PENDING""APPROVED""REJECTED""PAUSED""FLAGGED""DISABLED""IN_APPEAL""PENDING_DELETION""LOCKED""IN_REVIEW""DELETED""CREATE_FAILED""UPDATE_FAILED""DELETE_FAILED"
Example Request
curl -X DELETE 'https://api.cuedesk.com/v1/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer <token>'
Example Response
{
  "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  "status": "PREPARING"
}